Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002652TestLinkTest Plan (builds, milestones, test assign)public2009-06-23 15:532010-05-01 20:33
ReporterJulian 
Assigned ToJulian 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 Beta 2 
Summary0002652: Update all Testcases to latest Version should show all latest Versions
DescriptionAfter clicking the Button "Update all Testcases to latest Version" the upcoming page should show all testcases that are to be updated (the same content that /lib/plan/newest_tcversions.php shows -> effort should be minimal).
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon update_testcases_to_latest_version.png [^] (53,437 bytes) 2009-12-08 23:26


zip file icon 2652_update_testcases_to_latest_version.zip [^] (35,960 bytes) 2009-12-11 18:38

- Relationships

-  Notes
(0008355)
fman (administrator)
2009-11-29 18:30

1. please explain better what do you need.
2. Do you think you can take this in charge ?
(0008446)
Julian (reporter)
2009-12-08 23:26

Feature completed - in review process.
(0008472)
fman (administrator)
2009-12-12 23:04

code refactored commited to CVS.
Please get and do some tests before set to resolved
(0008476)
Julian (reporter)
2009-12-14 15:54

Did some testing.
Feature works fine.

I only recommend to change little things:

1. Errormessage "No Test Case available"
This message is shown, when no test case exists with a newer version or testplan has no test cases. Message should exactly say that.
So this message should be changed for 2 cases:
case1: testplan has no test cases -> "No Test Cases available" is fine
case2: there are no testcases with a newer version -> "All Test Cases are already updated to latest version"

2. Buttonlabel "Update all Test Cases to latest version"
This feature allows users to select only those test cases they want to update.
So in my eyes button should be labled: "Update Test Cases to latest version". This does not tell the user that all testcases have to be updated.
The headline for the page "Update ALL Linked Test Case Versions" should also be renamed to "Update Linked Test Case Versions"
(0008479)
fman (administrator)
2009-12-14 17:32

OK I will fix both

There is a minor bug with label; I've created a new one:
btn_bulk_update_to_latest_version

that I thinbk is better, I will do change and commit
(0008570)
Julian (reporter)
2009-12-28 15:19

please tell me when you commited the changes so i can retest and resolve this issue.
(0008753)
fman (administrator)
2010-01-22 06:57

please retest and see if can be closed
(0008754)
Julian (reporter)
2010-01-22 15:28

Those 2 issues i described still exist...

Please at least change 2.

1. Errormessage "No Test Case available"
This message is shown, when no test case exists with a newer version or testplan has no test cases. Message should exactly say that.
So this message should be changed for 2 cases:
case1: testplan has no test cases -> "No Test Cases available" is fine
case2: there are no testcases with a newer version -> "All Test Cases are already updated to latest version"

2. Buttonlabel "Update all Test Cases to latest version"
This feature allows users to select only those test cases they want to update.
So in my eyes button should be labled: "Update Test Cases to latest version". This does not tell the user that all testcases have to be updated.
The headline for the page "Update ALL Linked Test Case Versions" should also be renamed to "Update Linked Test Case Versions"
(0008853)
Julian (reporter)
2010-01-28 23:36

Well as it is just a label i suggest resolving this issue, even though i do not like "All linked Test Case Versions are current" very much :)

- Issue History
Date Modified Username Field Change
2009-06-23 15:53 Julian New Issue
2009-11-29 18:30 fman Note Added: 0008355
2009-11-29 18:33 fman Status new => assigned
2009-11-29 18:33 fman Assigned To => Julian
2009-12-08 23:26 Julian Note Added: 0008446
2009-12-08 23:26 Julian File Added: update_testcases_to_latest_version.png
2009-12-11 18:38 Julian File Added: 2652_update_testcases_to_latest_version.zip
2009-12-12 23:04 fman Note Added: 0008472
2009-12-12 23:04 fman Status assigned => feedback
2009-12-12 23:04 fman Severity major => feature request
2009-12-14 15:54 Julian Note Added: 0008476
2009-12-14 17:32 fman Note Added: 0008479
2009-12-28 15:19 Julian Note Added: 0008570
2010-01-22 06:57 fman Note Added: 0008753
2010-01-22 15:28 Julian Note Added: 0008754
2010-01-28 23:36 Julian Note Added: 0008853
2010-01-28 23:36 Julian Status feedback => resolved
2010-01-28 23:36 Julian Fixed in Version => 1.9 Beta 1
2010-01-28 23:36 Julian Resolution open => fixed
2010-01-29 22:06 mhavlat Fixed in Version 1.9 Beta 1 => 1.9 (DEV)
2010-05-01 20:33 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker